# 4.7. Cálculo de volumen

## 4.7.1. ¿Qué es Cálculo de volumen?

Significa, básicamente, el contar el número de bytes transmitidos de o a internet. Kppp puede contar los bytes llegados, enviados o ambos. Depende de ti lo que quieras (o debas) usar.

## 4.7.2. ¿Por qué debo usar el cálculo de volumen?

Porque los Proveedores de Internet (ISP) empiezan a cobrar a sus clientes dependiendo del número de bytes transmitidos. O muy a menudo esos ISP te dan un límite arbitrario de transferencia, y te cargan por cada megabyte por encima de ese límite. Kppp te muestra tu volumen actual y te puede ayudar a mantener tus facturas al mínimo. Por supuesto, si no tienes límites de volumen y eres curioso.... también puedes usarlo.

## 4.7.3. ¿Qué tipo de cálculo de volumen debo seleccionar?

Eso depende de tu proveedor. Muchos de ellos solo cuentan cuantos megabytes te llegan de internet e ignoran los que envias. En ese caso deberías seleccionar "Bytes in". Si tienes que pagar por ambos, debes seleccionar "Bytes in and out". "Bytes out" no se usa mucho, y solo esta aqui por completar.

## 4.7.4. Inconvenientes

Desafortunadamente hay un inconveniente en el cálculo de volumen. Kppp contará sólo el número de bytes sin tener en cuenta su origen. Muchos proveedores fijan el límite solo para acceso a internet, no para su propia red. Así que si navegas un poco por la web y usas un "cache-proxy", el proxi estará dentro de la red de tu proveedor y tu proveedor no te cobrará por los bytes transferidos desde este cache-proxi. Aun así, Kppp no sabrá que esos paquetes IP vienen desde el proxi y los contará. Por lo que si usas proxi, o tu proveedor utiliza un servidor de news (como nntpcached), el volumen contabilizado por Kppp será más alto

- -h te describirá las opciones en la línea de comandos.

- -c tratará de conectar con la conexión dad sin entrar en el cuadro principal del Kppp. Esta opción puede ser interesante para el impaciente.

- -r tratará de comprobar la sintaxis del fichero de normas especificado. Puede ser útil cuando escribas un nuevo fichero de normas